PluginMetaManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Interface PluginMetaManager

    org.codehaus.groovy.grails.plugins.PluginManagerAware
      org.codehaus.groovy.grails.plugins.PluginMetaManager

All Superinterfaces:
  PluginManagerAware

    public interface PluginMetaManager
    extends PluginManagerAware

Enables the evaluation of Plug-in Metadata supplied by the plug-ins plugin.xml file.

Authors:
  Graeme Rocher

Since:
  0.6

Field Summary
`java.lang.String` | `BEAN_ID` Id of the bean in the app ctx

Method Summary
`GrailsPlugin` | `getPluginForResource(java.lang.String name)` Obtains a plug-in instance from the pluginManager for the given resource name.
`java.lang.String` | `getPluginPathForResource(java.lang.String resourceName)` Obtains the path to the plug-in for the given resource.
`java.lang.String[]` | `getPluginResources(java.lang.String pluginName)` Retrieves all the plugin resource names for the given plugin name.
`java.lang.String` | `getPluginViewsPathForResource(java.lang.String resourceName)` Obtains the path to the plug-in views directory for the given resource name.

Methods inherited from interface PluginManagerAware
setPluginManager

Field Detail

### BEAN_ID

    public java.lang.String BEAN_ID

  Id of the bean in the app ctx

Method Detail

### getPluginForResource

    public GrailsPlugin getPluginForResource(java.lang.String name)

  Obtains a plug-in instance from the pluginManager for the given resource name.
  Parameters:
    `name` - The name of the resource
  Returns:
    A GrailsPlugin instance or null

### getPluginPathForResource

    public java.lang.String getPluginPathForResource(java.lang.String resourceName)

  Obtains the path to the plug-in for the given resource.
  Parameters:
    `resourceName` - The name of the resource
  Returns:
    The path to the plug-in or null if it doesn't exist

### getPluginResources

    public java.lang.String[] getPluginResources(java.lang.String pluginName)

  Retrieves all the plugin resource names for the given plugin name.
  Parameters:
    `pluginName` - The plugin name
  Returns:
    An array of plugin resource names

### getPluginViewsPathForResource

    public java.lang.String getPluginViewsPathForResource(java.lang.String resourceName)

  Obtains the path to the plug-in views directory for the given resource name.
  Parameters:
    `resourceName` - The resource name
  Returns:
    The path to the plug-in views directory or null if the plug-in doesn't exist

Groovy Documentation